Bug 1248051 - alloc: Fix lvextend failure when varying stripes.
Summary: alloc: Fix lvextend failure when varying stripes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.8
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1244257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-29 13:59 UTC by Jaroslav Reznik
Modified: 2019-10-10 10:00 UTC (History)
12 users (show)

Fixed In Version: lvm2-2.02.118-3.el6_7.2
Doc Type: Bug Fix
Doc Text:
When extending a logical volume (LV) where the amount of data stripes was previously lowered, the LV terminated unexpectedly with a segmentation fault due to an error in stripe position detection. With this update, the behavior of a number of functions related to stripe detection has been adjusted to prevent the bug, and the described crash no longer occurs.
Clone Of: 1244257
Environment:
Last Closed: 2015-08-13 09:02:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1615 normal SHIPPED_LIVE lvm2 bug fix update 2015-08-13 13:00:25 UTC

Description Jaroslav Reznik 2015-07-29 13:59:11 UTC
This bug has been copied from bug #1244257 and has been proposed
to be backported to 6.7 z-stream (EUS).

Comment 6 errata-xmlrpc 2015-08-13 09:02:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1615.html


Note You need to log in before you can comment on or make changes to this bug.